org.apache.commons.math3.optim.nonlinear.scalar

## Class ObjectiveFunction

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.ObjectiveFunction

All Implemented Interfaces:
  OptimizationData

    public class ObjectiveFunction
    extends java.lang.Object
    implements OptimizationData

Scalar function to be optimized.

Since:
  3.1
Version:
  $Id$

### Field Summary

Fields
`private MultivariateFunction` `function` Function to be optimized.

### Constructor Summary

Constructors
Constructor and Description
`ObjectiveFunction(MultivariateFunction f)`

### Method Summary

Methods
`MultivariateFunction` `getObjectiveFunction()` Gets the function to be optimized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### function

    private final MultivariateFunction function

Function to be optimized.

### Constructor Detail

#### ObjectiveFunction

    public ObjectiveFunction(MultivariateFunction f)

Parameters:
  `f` - Function to be optimized.

### Method Detail

#### getObjectiveFunction

    public MultivariateFunction getObjectiveFunction()

Gets the function to be optimized.

Returns:
  the objective function.